View a markdown version of this page

ListUserJourneys - Next generation Resilience Hub

ListUserJourneys

Lists user journeys for a system.

Request Syntax

GET /v2/list-user-journeys?maxResults=maxResults&nextToken=nextToken&systemArn=systemArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

Pagination page size.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

Pagination token.

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

systemArn

ARN identifier.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "userJourneySummaries": [ { "createdAt": number, "name": "string", "updatedAt": number, "userJourneyId": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Pagination token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

userJourneySummaries

The list of user journey summaries.

Type: Array of UserJourneySummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: